package com.ruoyi.project.VRdemo.domain.vo;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class NoteNationDataVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long id;

    /** 所属企业ID */
    @Excel(name = "所属企业ID")
    private Long companyId;

    /** 数据类别 */
    @Excel(name = "数据类别")
    private Long dataType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 文档路径 */
    @Excel(name = "文档路径")
    private String path;

    /** 文档路径 */
    @Excel(name = "七牛云路径")
    private String url;

    /** 数量 */
    @Excel(name = "数量")
    private Long count;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }

    public void setDataType(Long dataType)
    {
        this.dataType = dataType;
    }

    public Long getDataType()
    {
        return dataType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setPath(String path)
    {
        this.path = path;
    }

    public String getPath()
    {
        return path;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("companyId", getCompanyId())
                .append("dataType", getDataType())
                .append("title", getTitle())
                .append("path", getPath())
                .append("url", getUrl())
                .append("count", getCount())
                .toString();
    }
}
