package com.ruoyi.project.VRdemo.service;

import com.ruoyi.project.VRdemo.domain.FileUpload;
import org.springframework.web.multipart.MultipartFile;


import java.io.IOException;
import java.util.List;

public interface IFileUploadService {
    /**
     * 查询data
     *
     * @param fileid data主键
     * @return data
     */
    public FileUpload selectFileUploadByfileid(Long fileid);
    /**
     * 查询data列表
     *
     * @param fileUpload data
     * @return data集合
     */
    public List<FileUpload> selectFileUploadList(FileUpload fileUpload);

    /**
     * 新增data
     *
     * @param fileUpload data
     * @return 结果
     */
    public int insertFileUpload(FileUpload fileUpload);

    /**
     * 修改data
     *
     * @param fileUpload data
     * @return 结果
     */
    public int updateFileUpload(FileUpload fileUpload);

    /**
     * 删除data信息
     *
     * @param fileid data主键
     * @return 结果
     */
    public int deleteFileUploadByfileid(Long fileid);

    /**
     * 删除data信息
     *
     * @param fileid data主键
     * @return 结果
     */
    public boolean updateOnlyFile(Long fileid);


    boolean deleteFile(Long fileid);

    String  uploadFile(MultipartFile file, FileUpload fileUpload)throws Exception ;
}
